# Sanitizer_ResourceArrayData Struct Reference
[Sanitizer Callback API]

Data passed into a CUDA array callback function. More...

## Data Fields

CUcontext | context
CUarray | hArray
uint64_t | width

## Detailed Description

Data passed into a CUDA array callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal tp SANITIZER_CB_DOMAIN_RESOURCE and `cbid` equal to SANITIZER_CBID_RESOURCE_ARRAY_CREATED or SANITIZER_CBID_RESOURCE_ARRAY_DESTROYED. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_ResourceArrayData::context

The context containing the array being created or destroyed.

CUarray Sanitizer_ResourceArrayData::hArray

The CUDA array being created or destroyed.

uint64_t Sanitizer_ResourceArrayData::width

The CUDA array size.